# class Xapian::Xapian::Enquire

Refer to the Xapian::Enquire C++ API documentation for methods not specific to Ruby.

### Public Instance Methods

matching_terms(document) click to toggle source

Get matching terms for some document. document can be either a Xapian::DocID or a Xapian::MSetIterator

    # File ../../../src/xapian-bindings-1.4.5/ruby/docs/xapian.rb, line 182
    def matching_terms(document)
      Xapian._safelyIterate(self._dangerous_matching_terms_begin(document),
                            self._dangerous_matching_terms_end(document)) { |item|
        Xapian::Term.new(item.term, item.wdf)
      }
    end